# class ActiveLdap::Association::Children

### Private Instance Methods

delete_entries(entries) click to toggle source

    # File lib/active_ldap/association/children.rb, line 16
    def delete_entries(entries)
      entries.each(&:destroy)
    end

find_target() click to toggle source

    # File lib/active_ldap/association/children.rb, line 12
    def find_target
      @owner.find(:all, :base => @owner.dn, :scope => :one)
    end

insert_entry(entry) click to toggle source

    # File lib/active_ldap/association/children.rb, line 7
    def insert_entry(entry)
      entry.dn = [entry.id, @owner.dn.to_s].join(",")
      entry.save
    end